shadertype - This page was auto-generated. Feel free to help us improve the documentation by creating a pull request.

```lua
shadertype (value)
```

### Parameters ###

`value` is one of:

* `Effect`: needs documentation
* `Vertex`: needs documentation
* `Pixel`: needs documentation
* `Geometry`: needs documentation
* `Hull`: needs documentation
* `Domain`: needs documentation
* `Compute`: needs documentation
* `Mesh`: needs documentation
* `Amplification`: needs documentation
* `Texture`: needs documentation
* `RootSignature`: needs documentation

## Applies To ###

The `config` scope.

### Availability ###

Premake 5.0.0 alpha 14 or later.

### Examples ###

```lua
shadertype (value)
```

